> For the complete documentation index, see [llms.txt](https://docs.dfinery.ai/api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dfinery.ai/api-guide/api/import-api/profile/undefined.md).

# 시작하기

Profile API를 통해 유저의 속성을 생성하거나 업데이트 할 수 있습니다. API 연동을 위해서는 먼저 기본 세팅을 완료하여야 합니다. API 연동을 위한 기본 세팅을 아직 하지 못했다면, [시작하기 전에](/api-guide/readme.md#undefined) 를 참고해 주시면 됩니다.

## 사용 사례 <a href="#consent" id="consent"></a>

### 알림 수신 동의 정보 설정하기 <a href="#consent" id="consent"></a>

유저 속성 생성 및 업데이트 API를 통해 온/오프라인 채널에 대한 유저의 수신 동의 정보 값을 설정할 수 있습니다.

[오후 9시 부터 오전 8시 사이에는 별도의 수신 동의를 받아야 광고성 알림을 전송할 수 있습니다.](https://spam.kisa.or.kr/spam/na/ntt/selectNttInfo.do?mi=1037\&nttSn=1351\&bbsId=1003)

알림 수신 동의 정보에 대한 유저 프로필은 예외적으로 DFINERY에서 서비스 생성 시 이미 자동으로 등록되어 있어 DFINERY 콘솔에서 설정하지 않아도 설정이 가능합니다.

**수신 동의 정보는 기본값을 통해 따로 설정하지 않아도 발송될 수 있습니다.** 자세한 사항은 이용자 가이드의 [수신 동의 상태 별 표기](https://github.com/IGAWorksDev/dfn-v2-developer-reference-gitbook/blob/main/user_guide/ko/action/off-site-campaign/opt-state.md) 를 참고하시면 됩니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dfinery.ai/api-guide/api/import-api/profile/undefined.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
